Bug 119609 - Wrong line created on /etc/modprobe.conf
Wrong line created on /etc/modprobe.conf
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-31 16:29 EST by Alessandro Polverini
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-03 16:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alessandro Polverini 2004-03-31 16:29:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.14

Description of problem:
After having installed the system, during the boot I got an error
telling that a line on modprobe.conf was wrong.

I checked it and there was a bogus ethernet alias.
My system has 3 ethernet cards, and theyr aliases was set correctly, i.e.:
alias eth0 8139too
alias eth1 sk98lin
alias eth2 dmfe

The problem is that there was also that bogus line:
alias  dmfe

Of course it's wrong and also superfluous.


Version-Release number of selected component (if applicable):
The one shipped with FC2 test2

How reproducible:

Steps to Reproduce:
1. Install FC2 Test2
2. Configure First ethernet card as dhcp, leave second one not
enabled, configure third one with static address
3. Reboot the system, the bogus line appear in modprobe.conf

Additional info:
Comment 1 Alessandro Polverini 2004-03-31 18:31:47 EST
Here is the /etc/modprobe.conf created by the installer:

alias eth0 dmfe
alias eth1 sk98lin
alias eth2 8139too
alias scsi_hostadapter sata_via
alias scsi_hostadapter1 sata_promise
alias  dmfe
alias eth3 sk98lin
alias sound-slot-0 snd-emu10k1
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias char-major-81 bttv
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394

Also, I think the driver sata_via should not be loaded, since only
sata_promise is necessary and sufficient to use my sata drive.
Comment 2 Jeremy Katz 2004-04-05 17:36:07 EDT
Can you also provide /etc/modprobe.conf~?  I'm wondering if kudzu is
adding them when we run it post-install.  Also, you have via sata on
your motherboard, so we have to load the driver (there's no way to
tell if there are drivers or not otherwise :)
Comment 3 Bill Nottingham 2004-05-03 14:46:11 EDT
This should be fixed post-test2.

Note You need to log in before you can comment on or make changes to this bug.